From af66bc550a4fe6c0ea5d3b4d9870d8edb5daa2f5 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Oct 23 2025 21:00:31 +0000
Subject: F43: Update for final


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index c64abb5..c7f3dec 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -216,10 +216,10 @@ imagebuilder = {
         "name": "%s-raw" % release_name,
         "types": ["iot-raw-xz"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "subvariant": "IoT",
         "failable": ["*"],
@@ -228,10 +228,10 @@ imagebuilder = {
         "name": "%s-ostree" % release_name,
         "types": ["iot-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
@@ -241,10 +241,10 @@ imagebuilder = {
         "name": "%s-provisioner" % release_name,
         "types": ["iot-simplified-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "blueprint": {
             "customizations": {
@@ -268,11 +268,11 @@ ostree = {
             "config_branch": "f43",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -286,7 +286,7 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/base-images",
             "config_branch": "main",
             "treefile": "fedora-43.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
             "failable": ['*'],
             "subvariant": "base",
@@ -297,7 +297,7 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
             "config_branch": "main",
             "treefile": "fedora-iot-43.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-43/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64"],
             "failable": ['*'],
             "name": "Fedora-IoT-bootc",
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index 50c8e4b..21b6652 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,7 +47,7 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="41"
+current_stable="43"
 # Define what is rawhide so we know to push that tag
 current_rawhide="44"
 # Sanity checking

